#!/usr/bin/python
# -*- coding: utf-8 -*-

# SAT plugin for displaying messages from extra PEP services
# Copyright (C) 2015 Adrien Cossa (souliane@mailoo.org)

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from sat.core.i18n import _
from sat.core.log import getLogger
log = getLogger(__name__)


PLUGIN_INFO = {
    "name": "Extra PEP",
    "import_name": "EXTRA-PEP",
    "type": "MISC",
    "protocols": [],
    "dependencies": [],
    "recommendations": ['XEP-0277'],
    "main": "ExtraPEP",
    "handler": "no",
    "description": _(u"""Display messages from extra PEP services""")
}

CONFIG_SECTION = "plugin extra pep"

default_conf = {"get_items_from_list": ["salut-a-toi@libervia.org"], }


class ExtraPEP(object):

    def __init__(self, host):
        log.info(_(u"Plugin Extra PEP initialization"))
        self.host = host

    def getConfig(self, name):
        return self.host.memory.getConfig(CONFIG_SECTION, name, default_conf[name])
